summaryrefslogtreecommitdiffstats
path: root/tests.sh
diff options
context:
space:
mode:
authorTavian Barnes <tavianator@tavianator.com>2017-02-08 19:15:11 -0500
committerTavian Barnes <tavianator@tavianator.com>2017-02-08 19:31:58 -0500
commita4dcfe8b6d1eaabe172322a81721f355647257ff (patch)
tree1b9a91ed1c1bf7e92bbc55d0ce8fce685b4ca090 /tests.sh
parent360bb95f1d0296efd8c784b13b05daf289336684 (diff)
downloadbfs-a4dcfe8b6d1eaabe172322a81721f355647257ff.tar.xz
Add support for -x?type with multiple types
This functionality is already part of GNU findutils git.
Diffstat (limited to 'tests.sh')
-rwxr-xr-xtests.sh12
1 files changed, 11 insertions, 1 deletions
diff --git a/tests.sh b/tests.sh
index a6d9784..ecaf837 100755
--- a/tests.sh
+++ b/tests.sh
@@ -858,9 +858,19 @@ function test_0141() {
bfs_diff basic -maxdepth 0 -printf '%p'
}
+function test_0142() {
+ [ "$ALL" ] || return 0
+ bfs_diff links -type f,d,c
+}
+
+function test_0143() {
+ [ "$ALL" ] || return 0
+ bfs_diff links -xtype f,d,c
+}
+
result=0
-for i in {1..141}; do
+for i in {1..143}; do
test="test_$(printf '%04d' $i)"
if [ -t 1 ]; then